Bug 57988 - Ability to add elements to tree with hotkeys
Summary: Ability to add elements to tree with hotkeys
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.13
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-02 09:31 UTC by Andrey Pokhilko
Modified: 2016-11-12 13:53 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Pokhilko 2015-06-02 09:31:18 UTC
Idea is to give binding from Ctrl+0 .. Ctrl+9 to quickly add elements to Test Plan. Actual elements to be added are configurable through properties. Reasonable defaults should be provided.
Comment 1 Andrey Pokhilko 2015-06-02 10:46:00 UTC
Proposed changes: https://github.com/apache/jmeter/pull/16/files
Comment 2 Andrey Pokhilko 2015-06-03 11:29:14 UTC
Committed rev 1683284, waiting for it to appear...
Comment 3 Andrey Pokhilko 2015-06-03 11:29:58 UTC
Date: Wed Jun  3 11:08:56 2015
New Revision: 1683284

URL: http://svn.apache.org/r1683284
Log:
Bug 57988 - Ability to add elements to tree with hotkeys

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionNames.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/KeyStrokes.java
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/hints_and_tips.xml
Comment 4 Philippe Mouawad 2015-06-13 13:40:00 UTC
Reopening as :
- not working with AZERTY keyboards on MacBook
- On Linux (Debian 8 / Gnome 3 / Java7/8) no shortcut works.
- Ctrl+6  not working on Windows 7
Comment 5 Philippe Mouawad 2015-12-29 16:24:03 UTC
Hi,
What shall we do with this ?

I must say I don't like releasing a partially broken feature.
We did this for Undo feature (hopefully disabled) and it is still not fixed. We now have bug reports for it.


The feature is nice but the fact that it is not working uniformly under different platform is not great.

Regards
Philippe
Comment 6 Andrey Pokhilko 2015-12-29 16:40:03 UTC
From my investigations, it will be impossible or very difficult to make it recognize keys same way on all platforms. I personally don't think it's huge problem, since the benefit will be more than harm.

However, we can just throw away this change. Unfortunately, JMeter core don't allow to add this functionality through third-party plugin :(
Comment 7 Philippe Mouawad 2015-12-29 20:50:49 UTC
Hi Andrei,
No I think a long term solution is to make all shortcuts configurable, that's how it works for Eclipse.

But we can keep it, but I suggest that we provide some example configurations for each target (OS + Keyboard type) in the hints_and_tips dedicated page and reference this page in jmeter.properties.

If Ok, I can provide my working configuration for Mac OS + Azerty keyboard
I suggest milamber provides his working config for Linux + Azerty
Sebb for Mac OS + Qwerty keyboard
....